﻿@model ReviewViewModel
@{
    ViewData["Title"] = "Add Review";
}

<h2>@ViewData["Title"]</h2>

<div class="row">
    <section>
        <form asp-controller="Movie" asp-action="AddReview" method="post">
            <div class="col-md-6">
                <h4>Add review to movie.</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <input type="hidden" asp-for="@Model.MovieId" />
                <div class="form-group">
                    <label>Content</label>
                    <textarea asp-for="@Model.Content" rows="10" class="form-control"></textarea>
                    <span asp-validation-for="@Model.Content" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Add Review</button>
                </div>
            </div>
        </form>
    </section>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}

